//
//  AppDelegate.m
//  vtune
//
//  Created by n on 28/02/2015.
//  Copyright (c) 2015 none. All rights reserved.
//

#import "AppDelegate.h"

@interface AppDelegate ()

@property (weak) IBOutlet NSWindow *window;
@end

@implementation AppDelegate
NSSound *play_g_snd;
NSSound *play_d_snd;
NSSound *play_a_snd;
NSSound *play_e_snd;

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification {
    // Insert code here to initialize your application
 play_g_snd = [NSSound soundNamed:@"play_g"];
 play_d_snd = [NSSound soundNamed:@"play_d"];
 play_a_snd = [NSSound soundNamed:@"play_a"];
 play_e_snd = [NSSound soundNamed:@"play_e"];
}

- (void)applicationWillTerminate:(NSNotification *)aNotification {
    // Insert code here to tear down your application
}

void foo_mute_snd() {
 [play_g_snd stop];
 [play_d_snd stop];
 [play_a_snd stop];
 [play_e_snd stop];
}

- (IBAction)play_g:(id)sender {
   foo_mute_snd();
 [play_g_snd play];
 [play_g_snd setLoops:YES];
}

- (IBAction)play_d:(id)sender {
   foo_mute_snd();
 [play_d_snd play];
 [play_d_snd setLoops:YES];
}

- (IBAction)play_a:(id)sender {
   foo_mute_snd();
 [play_a_snd play];
 [play_a_snd setLoops:YES];
}

- (IBAction)play_e:(id)sender {
   foo_mute_snd();
 [play_e_snd play];
 [play_e_snd setLoops:YES];
}

- (IBAction)mute_snd:(id)sender {
   foo_mute_snd();
}
@end
